commit: cc9323711afa2e973f0c4b7104ff609bbd201a79
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 5 06:50:03 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 5 08:28:22 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc932371
dev-python/python-jose: Bump to 3.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-jose/Manifest | 1 +
dev-python/python-jose/python-jose-3.3.0.ebuild | 36 +++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/python-jose/Manifest b/dev-python/python-jose/Manifest
index d525693d5ba..3277af54aaa 100644
--- a/dev-python/python-jose/Manifest
+++ b/dev-python/python-jose/Manifest
@@ -1 +1,2 @@
DIST python-jose-3.2.0.tar.gz 102183 BLAKE2B
edc0b0e651ec63333345eb29e0c08649823d8c59e88e2f39127081a04c2afedee0ae1c83709dc45bd81f4143cc0e1e76d22117ea11160ab6418372c69f1b216a
SHA512
f81e0284ef2df05a5b2dfc5448f3cce0c8988c4ba5d40f935666ee1693a964db3db62609a38192e317bab6b3945fc5c3122b59f373dbc308363d123ea9752efa
+DIST python-jose-3.3.0.tar.gz 126578 BLAKE2B
d1279d2a0788b4d395e760ee3a1b2ce8c9340ad12ebe103cb1ba98aea33566cf0134d5af75be9727fff96adab4fc88f1b471ba9ea7d36c16de10587a9efd1304
SHA512
de7147cc6e12406d6e459c32829acae46395acba727c53e65bc05f4794ee3050eecd355e3ae2e87f4ebdbd871f53822eea08a10f25d7ca6088fc6128dc7d9637
diff --git a/dev-python/python-jose/python-jose-3.3.0.ebuild
b/dev-python/python-jose/python-jose-3.3.0.ebuild
new file mode 100644
index 00000000000..5623443b562
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.3.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation
in Python"
+HOMEPAGE="https://github.com/mpdavis/python-jose
https://pypi.org/project/python-jose/"
+# pypi tarball lacks unit tests
+SRC_URI="https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+# TODO: require only one crypto backend?
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/ecdsa[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ sed -e '/pytest-runner/d' \
+ -i setup.py || die
+ sed -e '/addopts/d' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}